#  xvme260.defn.tcl

proc {Add_XVME-260_Module} {name server addressdata} {
   global CurrentVMEServer

   set moduleID [last [split $name #]]

#    split up address information into 
   set addressinfo [split $addressdata :]
   set A16addrbase [first $addressinfo]
#   set A24addrbase [second $addressinfo]
#   set A32addrbase [third $addressinfo]
#   set interruptlevel [fourth $addressinfo]
#   set interruptvector [fifth $addressinfo]

   set CurrentVMEServer  $server
 
   define-vme-register $name xVME PortA "-a$A16addrbase -w16 -o0xC0 -prw -d16 -zx"
   define-vme-register $name xVME PortB "-a$A16addrbase -w16 -o0xC2 -prw -d16 -zx"
}

proc {XVME-260_DAQ-reset} {args} {
#   xvme260
    global CurrentVMEServer
    set server [second $args]
    if {$server != ""} then {set CurrentVMEServer $server}
    set module [first $args]
#    soft reset
    write-vme-registers $module.Port? 0
}

proc {XVME-260_DAQ-go} {args} {
#   xvme260
    global CurrentVMEServer
    set server [second $args]
    if {$server != ""} then {set CurrentVMEServer $server}
    set module [first $args]
}

proc {XVME-260_DAQ-halt} {args} {
#   xvme260
    global CurrentVMEServer
    set server [second $args]
    if {$server != ""} then {set CurrentVMEServer $server}
    set module [first $args]
}

proc {XVME-260_DAQ-setup} {args} {
#   xvme260
    global CurrentVMEServer
    set server [second $args]
    if {$server != ""} then {set CurrentVMEServer $server}
    set module [first $args]
#    soft reset
    write-vme-registers $module.Port? 0
}

#   for parameter save/restore
set {XVME-260_registersavepatterns} {}


